%define anolis_release 1
Summary:        A straightforward implementation of DBM
Name:           kyotocabinet
Version:        1.2.80
Release:        %{anolis_release}%{?dist}
License:        GPLv3
URL:            https://dbmx.net/%{name}/
Source:         https://dbmx.net/%{name}/pkg/%{name}-%{version}.tar.gz
Patch0:         kyotocabinet-1.2.76-cflags.patch
Patch1:         kyotocabinet-1.2.76-8-byte-atomics.patch
Requires:       %{name}-libs = %{version}-%{release}
BuildRequires:  gcc-c++
BuildRequires:  zlib-devel
BuildRequires:  lzo-devel
BuildRequires:  xz-devel

%description
Kyoto Cabinet is a library of routines for managing a database. The
database is a simple data file containing records, each is a pair of
a key and a value. Every key and value is serial bytes with variable
length. Both binary data and character string can be used as a key
and a value. Each key must be unique within a database. And there is
neither concept of data tables nor data types. Records are organized
in hash table or B+ tree.

%package libs
Summary:        Libraries for applications using Kyoto Cabinet
Provides:       %{name}-lib = %{version}-%{release}
Obsoletes:      %{name}-lib < 1.2.76-3

%description libs
The kyotocabinet-libs package provides the essential shared libraries
for any Kyoto Cabinet client program or interface.

%package        devel
Summary:        Development files for Kyoto Cabinet
Requires:       %{name}-libs = %{version}-%{release}, pkgconfig

%description devel
The kyotocabinet-devel package contains libraries and header files for
developing applications that use Kyoto Cabinet.

%package apidocs
Summary:        API documentation for Kyoto Cabinet library
BuildArch:      noarch
Provides:       %{name}-api-doc = %{version}-%{release}
Obsoletes:      %{name}-api-doc < 1.2.76-3

%description apidocs
The kyotocabinet-apidocs package contains API documentation for developing
applications that use Kyoto Cabinet.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-opt --enable-lzo --enable-lzma
%make_build

%install
%make_install

# Don't install any static .a file
rm -f $RPM_BUILD_ROOT%{_libdir}/libkyotocabinet.a

# Clean up for later usage in documentation
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}

%generate_compatibility_deps

%check
%make_build check

%ldconfig_scriptlets libs

%files
%{_bindir}/kccachetest
%{_bindir}/kcdirmgr
%{_bindir}/kcdirtest
%{_bindir}/kcforestmgr
%{_bindir}/kcforesttest
%{_bindir}/kcgrasstest
%{_bindir}/kchashmgr
%{_bindir}/kchashtest
%{_bindir}/kclangctest
%{_bindir}/kcpolymgr
%{_bindir}/kcpolytest
%{_bindir}/kcprototest
%{_bindir}/kcstashtest
%{_bindir}/kctreemgr
%{_bindir}/kctreetest
%{_bindir}/kcutilmgr
%{_bindir}/kcutiltest
%{_mandir}/man1/kccachetest.1*
%{_mandir}/man1/kcdirmgr.1*
%{_mandir}/man1/kcdirtest.1*
%{_mandir}/man1/kcforestmgr.1*
%{_mandir}/man1/kcforesttest.1*
%{_mandir}/man1/kcgrasstest.1*
%{_mandir}/man1/kchashmgr.1*
%{_mandir}/man1/kchashtest.1*
%{_mandir}/man1/kclangctest.1*
%{_mandir}/man1/kcpolymgr.1*
%{_mandir}/man1/kcpolytest.1*
%{_mandir}/man1/kcprototest.1*
%{_mandir}/man1/kcstashtest.1*
%{_mandir}/man1/kctreemgr.1*
%{_mandir}/man1/kctreetest.1*
%{_mandir}/man1/kcutilmgr.1*
%{_mandir}/man1/kcutiltest.1*

%files libs
%license COPYING FOSSEXCEPTION LINKEXCEPTION
%{_libdir}/libkyotocabinet.so.*
%{abidir}/libkyotocabinet.dump

%files devel
%{_includedir}/kccachedb.h
%{_includedir}/kccommon.h
%{_includedir}/kccompare.h
%{_includedir}/kccompress.h
%{_includedir}/kcdb.h
%{_includedir}/kcdbext.h
%{_includedir}/kcdirdb.h
%{_includedir}/kcfile.h
%{_includedir}/kchashdb.h
%{_includedir}/kclangc.h
%{_includedir}/kcmap.h
%{_includedir}/kcplantdb.h
%{_includedir}/kcpolydb.h
%{_includedir}/kcprotodb.h
%{_includedir}/kcregex.h
%{_includedir}/kcstashdb.h
%{_includedir}/kctextdb.h
%{_includedir}/kcthread.h
%{_includedir}/kcutil.h
%{_libdir}/libkyotocabinet.so
%{_libdir}/pkgconfig/kyotocabinet.pc

%files apidocs
%doc COPYING doc/api/* kyotocabinet.idl

%files doc
%doc ChangeLog README
%doc doc/{command.html,common.css,icon16.png}

%changelog
* Mon Feb 24 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 1.2.80-1
- update to 1.2.80 from 1.2.79

* Sat Jan 28 2023 Funda Wang <fundawang@yeah.net> - 1.2.79-1
- Import package for anolis 23
